%define debug_package %{nil}

Summary:	Meta package for including all pre-compiled kernel modules for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		lime-kernel-modules
Version:	1.1.r17
Release:	28

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

BuildArch:	noarch

Requires:	lime-kernel-modules-el5-i686
Requires:	lime-kernel-modules-el5-x86_64
Requires:	lime-kernel-modules-el6-i686
Requires:	lime-kernel-modules-el6-x86_64
Requires:	lime-kernel-modules-el7-x86_64
Requires:	lime-kernel-modules-el8-x86_64
Requires:	lime-kernel-modules-el9-x86_64
Requires:	lime-kernel-modules-fc17-i686
Requires:	lime-kernel-modules-fc17-x86_64
Requires:	lime-kernel-modules-fc18-i686
Requires:	lime-kernel-modules-fc18-x86_64
Requires:	lime-kernel-modules-fc19-i686
Requires:	lime-kernel-modules-fc19-x86_64
Requires:	lime-kernel-modules-fc20-i686
Requires:	lime-kernel-modules-fc20-x86_64
Requires:	lime-kernel-modules-fc21-i686
Requires:	lime-kernel-modules-fc21-x86_64
Requires:	lime-kernel-modules-fc22-i686
Requires:	lime-kernel-modules-fc22-x86_64
Requires:	lime-kernel-modules-fc23-i686
Requires:	lime-kernel-modules-fc23-x86_64
Requires:	lime-kernel-modules-fc24-i686
Requires:	lime-kernel-modules-fc24-x86_64
Requires:	lime-kernel-modules-fc25-i686
Requires:	lime-kernel-modules-fc25-x86_64
Requires:	lime-kernel-modules-fc26-i686
Requires:	lime-kernel-modules-fc26-x86_64
Requires:	lime-kernel-modules-fc27-i686
Requires:	lime-kernel-modules-fc27-x86_64
Requires:	lime-kernel-modules-fc28-i686
Requires:	lime-kernel-modules-fc28-x86_64
Requires:	lime-kernel-modules-fc29-i686
Requires:	lime-kernel-modules-fc29-x86_64
Requires:	lime-kernel-modules-fc30-i686
Requires:	lime-kernel-modules-fc30-x86_64
Requires:	lime-kernel-modules-fc31-x86_64
Requires:	lime-kernel-modules-fc32-x86_64
Requires:	lime-kernel-modules-fc33-x86_64
Requires:	lime-kernel-modules-fc34-x86_64
Requires:	lime-kernel-modules-fc35-x86_64
Requires:	lime-kernel-modules-fc36-x86_64
Requires:	lime-kernel-modules-fc37-x86_64
Requires:	lime-kernel-modules-fc38-x86_64
Requires:	lime-kernel-modules-fc39-x86_64
Requires:	lime-kernel-modules-el9-aarch64

%description
This package is a meta package that requires all of the pre-compiled kernel modules for LiME.

%prep
%setup -n lime-forensics-%{version}

%build

%install

%clean
%{__rm} -rf %{buildroot}

%files

%changelog
* Fri Nov 10 2023 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
        Added FC39 x86_64.

* Mon May 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
        Added EL9 aarch64.

* Sun Apr 23 2023 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
        Added FC38 x86_64.

* Mon Mar 13 2023 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
        Added FC37 x86_64.

* Sun May 15 2022 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
        Added FC36 x86_64.

* Thu Mar 17 2022 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
        Added EL9 x86_64.

* Sun Nov  7 2021 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
        Added FC35 x86_64.

* Fri Apr 30 2021 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
        Added FC34 x86_64.

* Thu Oct 29 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
        Added FC33 x86_64.

* Sun May  3 2020 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
        Added FC32 x86_64.

* Sun Nov  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
        Added FC31 x86_64.

* Fri Oct  4 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Added EL8 x86_64.

* Mon May  6 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Added FC30 x86_64 and i686.

* Fri Nov  2 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Added FC29 x86_64 and i686.

* Fri May 11 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Added missing references to FC28 x86_64 and i686 modules.

* Thu May 10 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Added FC28 x86_64 and i686.

* Mon Nov 20 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Added FC27 x86_64 and i686.

* Thu Jul 27 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Added FC26 i686.

* Tue Jul 18 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Added FC26 x86_64.

* Thu Dec  1 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Added FC25 i686 and x86_64.

* Tue Jun 28 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Added FC24 i686 and x86_64.

* Mon Nov  9 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Added FC23 i686 and x86_64.

* Tue Jun  2 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Added FC22 i686 and x86_64.

* Sat Dec 13 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Added FC21 i686 and x86_64.

* Tue Jul 22 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Remade because this package is not shared between OS/Archs.

* Mon Jul 14 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Added CentOS/RHEL 7, x86_64

* Tue Jun 3 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	This is the initial release of this package.
